# vue-cli-plugin-mti-commitlint

> 结合 commitizen commitlint 进行封装，一键安装，开箱即用的 git commit 规范。

## 功能

1. 自动检测 commit 是否规范，不规范不允许提交
2. 自动提示 commit 填写格式。不怕忘记规范怎么写
3. 集成 git add . && git commit 不需要在执行两个命令

## 安装

vue-cli3 的项目可以直接使用即可

```
vue add commitlint
```

## 使用

```bash
npm run cz  # git add . && git commit -m 'feat:(xxx): xxx'
npm run log # 生成 CHANGELOG
```

1. 代码提交 npm run cz

2. 选择一个类型会自动询问
   1. (非必填）本次提交的改变所影响的范围
   2. (必填）写一个简短的变化描述
   3. (非必填）提供更详细的变更描述
   4. (非必填)是否存在不兼容变更?

## 规则

| 规范名   | 描述                                                    |
| -------- | ------------------------------------------------------- |
| docs     | 仅仅修改了文档，比如 README, CHANGELOG, CONTRIBUTE 等等 |
| chore    | 改变构建流程、或者增加依赖库、工具等                    |
| feat     | 新增 feature                                            |
| fix      | 修复 bug                                                |
| merge    | 合并                                                    |
| perf     | 优化相关，比如提升性能、体验                            |
| refactor | 代码重构，没有加新功能或者修复 bug                      |
| revert   | 回滚到上一个版本                                        |
| style    | 仅仅修改了空格、格式缩进、都好等等，不改变代码逻辑      |
| test     | 测试用例，包括单元测试、集成测试等                      |
